---
title: ULongRange
slug: Web/API/ULongRange
tags:
  - API
  - Constraints
  - Dictionary
  - Interface
  - LongRange
  - Media
  - Media Capture and Streams API
  - Media Streams API
  - Reference
  - WebRTC
---
<div>{{APIRef("Media Capture and Streams")}}</div>

<p>The <strong><code>ULongRange</code></strong> dictionary is used to define a range of permitted integer values for a property, with either or both a maximum and minimum value specified. The {{domxref("ConstrainULongRange")}} dictionary is based on this, augmenting it to support exact and ideal values as well.</p>

<h2 id="Properties">Properties</h2>

<dl>
 <dt><code>max</code></dt>
 <dd>A numeric value in the range of signed 32-bit integers, specifying the largest permissible value of the property it describes.</dd>
 <dt><code>min</code></dt>
 <dd>A numeric value in the range of signed 32-bit integers, specifying the smallest permissible value of the property it describes.</dd>
</dl>

<p>The specified <code>min</code> and/or and <code>max</code> values are <em>required</em>. If no match can be found that is within the given range, an error will occur.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Media Capture', '#dom-ulongrange', 'ULongRange')}}</td>
   <td>{{Spec2('Media Capture')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.ULongRange")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Media_Streams_API">Media Capture and Streams API</a></li>
 <li><a href="/en-US/docs/Web/API/Media_Streams_API/Constraints">Capabilities, constraints, and settings</a></li>
 <li>{{domxref("ConstrainULongRange")}}</li>
 <li>{{domxref("MediaTrackConstraints")}}</li>
 <li>{{domxref("MediaTrackCapabilities")}}</li>
 <li>{{domxref("MediaTrackSupportedConstraints")}}</li>
</ul>
